Bug 188340 - opening konsole via x11 is very slow
opening konsole via x11 is very slow
Product: Fedora
Classification: Fedora
Component: kdebase (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2006-04-08 01:43 EDT by Kurt Neufeld
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-05-23 09:03:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Kurt Neufeld 2006-04-08 01:43:35 EDT
Description of problem:

I use Windows on my laptop as a thin client running an XServer connecting to my
linux box. I just upgraded my server from Mandrake 10.1 to FC 5 and the time it
takes to open konsole went from about 1 second to over 10.

Also, performance in konsole is horrific. You can watch screen updates occur
when scrolling a lot of text (like hitting enter on after `ls /lib`).

Have to reitterate that I've been running this setup of XP and xserver for many
years now and have been happy with the results. The only thing that has changed
is my server, Mandrake 10.1 to FC5.

xterm has fast performance but takes 10+ seconds to open and has artifacts after
hitting enter.

How reproducible:

Every time.

Steps to Reproduce:
1. start XWin32 on Windows
2. launch konsole via rsh (yeah yeah)
3. time it...

Actual results:

Dismal performance.

Expected results:

Not dismal performance.
Comment 1 Ngo Than 2006-05-23 09:03:32 EDT
if you start the KDE applications at the first time, it will take +10s because
several kde libraries, plugins will be loaded at this first time. It's normal

On my machines with FC5 starting konsole takes < 1s after kde libraries, plugins
have been loaded!

To speed up the output on konsole, you should disble font rendering, just start
konsole with --noxft and then change the font to "Fixed [Misc]"
(Settings->Font->Select->Fixed [Misc])

Note You need to log in before you can comment on or make changes to this bug.